%define version    4.5
%define release    20170224.1
%define rhel_version 7

Name:           redhat-certification-hardware-preview
Summary:        Red Hat Hardware Test Suite - Info
Version:        %{version}
Release:        %{release}.el%{rhel_version}
Group:          Development/Tools
License:        GPL
URL:            http://redhat.com
Source0:        %{name}-%{version}-%{release}.tar.bz2
# snapshot
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
# Conflicts: nothing
Requires: redhat-certification-hardware

%description
TODO - add nice description

%prep
%setup -q -c


%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT make HWCERT_RHEL_VERSION=%{rhel_version} install-preview

%install
DESTDIR=$RPM_BUILD_ROOT make HWCERT_RHEL_VERSION=%{rhel_version} install-preview

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre

%post

%files
%defattr(-,root,root)
/usr/lib/python2.7/site-packages/rhcert/suites/hwcertpreview
/usr/lib/python2.7/site-packages/rhcert/suites/hwcertpreview/__init__.py*


%changelog

* Thu Jun 21 2016 Ben Rose <brose@redhat.com>
  1341398 - move 100GigE and 50GigE tests to standard -hardware
